package at.ac.uibk.gitsearch.repository;

import at.ac.uibk.gitsearch.domain.SavedSearches;

import org.springframework.data.jpa.repository.*;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * Spring Data  repository for the SavedSearches entity.
 */
@SuppressWarnings("unused")
@Repository
public interface SavedSearchesRepository extends JpaRepository<SavedSearches, Long> {

    @Query("select savedSearches from SavedSearches savedSearches where savedSearches.userId.login = ?#{principal.username}")
    List<SavedSearches> findByUserIdIsCurrentUser();
}
