import { NgModule } from '@angular/core';
import { RouterModule } from '@angular/router';
import { ExerciseModule } from 'app/exercise/exercise.module';

import { GitSearchV2SharedModule } from 'app/shared/shared.module';
import { BookmarkComponent } from './bookmarks.component';
import { UserWatchListDetailComponent } from './user-watch-list-detail.component';
import { UserWatchListUpdateComponent } from './user-watch-list-update.component';
import { UserWatchListDeleteDialogComponent } from './user-watch-list-delete-dialog.component';
import { bookmarksRoute } from './bookmarks.route';

@NgModule({
  imports: [GitSearchV2SharedModule, ExerciseModule, RouterModule.forChild(bookmarksRoute)],
  declarations: [BookmarkComponent, UserWatchListDetailComponent, UserWatchListUpdateComponent, UserWatchListDeleteDialogComponent],
  entryComponents: [UserWatchListDeleteDialogComponent],
})
export class BookmarskModule {}
